CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

单文档模式属性 (ActiveX)

2023-1-3 06:08| 发布者: admin| 查看: 153| 评论: 0|来自: AutoCAD

摘要: 确定 AutoCAD 是在单文档模式下还是在多文档模式下运行。

确定 AutoCAD 是在单文档模式下还是在多文档模式下运行。

支持的平台:仅窗口

签名

工 务 局:

object.SingleDocumentMode
对象

类型:首选项系统

此属性适用的对象。

属性值

只读:

类型:布尔

  • True:启用单绘图模式。
  • False:禁用单绘制模式。

言论

此属性的初始值为。False

此属性可帮助第三方开发人员更新应用程序,使其与 AutoCAD 多绘图模式顺利配合使用。它可能会在AutoCAD的未来版本中过时。

注意:此属性的值存储在 SDI 系统变量中。

例子

工 务 局:

Sub Example_SingleDocumentMode()
    ' This example reads and modifies the preference value that controls
    ' whether AutoCAD runs in single- or multiple-document mode.
    ' When finished, this example resets the preference value back to
    ' its original value.
    
    Dim ACADPref As AcadPreferencesSystem
    Dim originalValue As Variant, newValue As Variant
    
    ' Get the system preferences object
    Set ACADPref = ThisDrawing.Application.Preferences.System
    
    ' Read and display the original value
    originalValue = ACADPref.SingleDocumentMode
    MsgBox "The SingleDocumentMode preference is set to: " & originalValue

    ' Modify the SingleDocumentMode preference by toggling the value
    ACADPref.SingleDocumentMode = Not (ACADPref.SingleDocumentMode)
    newValue = ACADPref.SingleDocumentMode
    MsgBox "The SingleDocumentMode preference has been set to: " & newValue

    ' Reset the preference back to its original value
    '
    ' * Note: Comment out this last section to leave the change to
    '         this preference in effect
    ACADPref.SingleDocumentMode = originalValue
    MsgBox "The SingleDocumentMode preference was reset back to: " & originalValue
End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_SingleDocumentMode()
    ;; This example reads the preference value that lists
    ;; whether AutoCAD is running in single- or multiple-document mode.
    (setq acadObj (vlax-get-acad-object))
    (setq preferences (vla-get-Preferences acadObj))
    
    ;; Read the current value
    (setq currValue (vla-get-SingleDocumentMode (vla-get-System preferences)))
    (alert (strcat "The SingleDocumentMode preference is set to: " (if (= currValue :vlax-true) "True" "False")))
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-11 15:32

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部